//	Zinc Application Framework - I_APP.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_app.hpp>
#include <z_error.hpp>	// For Beep().

#include <taskLib.h>

// ----- main ---------------------------------------------------------------

int ZafVxWorksMain(void)
{
	// Call the application program.
	ZafApplication application(0, 0);
	if (application.Error() == ZAF_ERROR_CONSTRUCTOR)
	{
		// The ZafApplication object was not fully constructed.
		ZafErrorStub::Beep();
		return (1);
	}
	else
		return (application.Main());
}

int ZAF_VXW_APP_NAME ()
{
	if (taskSpawn("ZAF_LANG", 90, VX_FP_TASK, ZAF_VXW_STACK_SIZE,
		(FUNCPTR)ZafVxWorksMain, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0) != ERROR)
		return (0);
	else
		return (-1);
}

